> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Networks

> Use the /api/fdx/5/accounts/{accountId}/payment-networks endpoint to return a list of payment networks for a particular account.

Use the `/api/fdx/5/accounts/{accountId}/payment-networks` endpoint to return a list of payment networks for a particular account.

To successfully call this endpoint, you must first call the [/Token](/api/outbound/endpoints/authorize/token) endpoint to obtain a valid `access_token` using:

* grant\_type: `authorization_code` or `refresh_token`
* client\_id: `{recipient client_id}`
* client\_secret: `{recipient client_secret}`
* redirect\_uri: `{recipient redirect_uri}`
* code: `{with grant type authorization_code}`
* refresh\_token: `{with grant type refresh_token}`

<Warning>
  <p class="h4">Not all Data Providers support this endpoint</p>

  If the Data Provider does not support payment networks, this endpoint returns 405 Method Not Allowed.
</Warning>

<Note>
  <p class="h4">Response is different for each Data Provider</p>

  This endpoint returns different fields for each Data Provider. For more information about the fields that each Data Provider supports, review the [Data Provider's details](/api/outbound/endpoints/registration/a-data-recipient).
</Note>

## How to handle an error response

If you receive an error response, refer to the [List of Data Access Errors](/api/outbound/endpoints/fdx/fdx-errors) for more information about the error and how to resolve it.

<ResponseExample>
  ```json 200 - First Page theme={null}
  {
    "page": {
      "nextOffset": "806801cd-999a-461b-9d08-5fd95d0e3300",
      "totalElements": 5
    },
    "links": {
      "next": {
        "href": "https://ob.flinksapp.com/api/fdx/5/accounts/11/payment-networks?limit=1&offset=806801cd-999a-461b-9d08-5fd95d0e3300"
      }
    },
    "paymentNetworks": [
      {
        "bankId": "string",
        "identifier": "string",
        "identifierType": "ACCOUNT_NUMBER",
        "type": "US_ACH",
        "transferIn": true,
        "transferOut": true
      }
    ]
  }
  ```

  ```json 200 - Last Page theme={null}
  {
    "paymentNetworks": [
      {
        "bankId": "string",
        "identifier": "string",
        "identifierType": "ACCOUNT_NUMBER",
        "type": "US_ACH",
        "transferIn": true,
        "transferOut": true
      }
    ]
  }
  ```

  ```json 200 - Result theme={null}
  {
    "page": {
      "nextOffset": "1",
      "totalElements": 5
    },
    "links": {
      "next": {
        "href": "https://ob.flinksapp.com/api/fdx/5/accounts/11/payment-networks?offset=1&limit=1"
      }
    },
    "paymentNetworks": [
      {
        "bankId": "string",
        "identifier": "string",
        "identifierType": "ACCOUNT_NUMBER",
        "type": "US_ACH",
        "transferIn": true,
        "transferOut": true
      }
    ]
  }
  ```

  ```json 4XX - Result theme={null}
  {
    "code": 701,
    "message": "Account not found",
    "debugMessage": "The account was not found"
  }
  ```

  ```json 5XX - Result theme={null}
  {
    "code": 500,
    "message": "Internal Server Error",
    "debugMessage": "An unexpected error occured"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi-outbound.yaml GET /api/fdx/5/accounts/{account_id}/payment-networks
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://ob.flinksapp.com
    description: Flinks Outbound Production
security:
  - BearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
paths:
  /api/fdx/5/accounts/{account_id}/payment-networks:
    get:
      tags:
        - FDX
      summary: Get Payment Networks
      description: >-
        Use the /api/fdx/5/accounts/{accountId}/payment-networks endpoint to
        return a list of payment networks for a particular account.
      operationId: fdxGetPaymentNetworks
      parameters:
        - name: account_id
          in: path
          required: true
          description: The ID of the customer account that you want to retrieve.
          schema:
            type: string
        - name: offset
          in: query
          required: false
          description: Opaque cursor used by the provider to send the next set of records.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: >-
            The maximum number of payment networks that you want to return with
            this request. Use this field to set a limit on the amount of data
            you receive.
          schema:
            type: string
      responses:
        '200':
          description: >-
            Returned when the payment networks are successfully retrieved with
            pagination.
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: object
                    description: Pagination information for the response.
                    properties:
                      nextOffset:
                        type: string
                        description: Opaque cursor for retrieving the next page of results.
                      totalElements:
                        type: integer
                        description: Total number of elements available.
                  links:
                    type: object
                    description: Links for pagination.
                    properties:
                      next:
                        type: object
                        description: Link to the next page of results.
                        properties:
                          href:
                            type: string
                            description: URL for the next page.
                  paymentNetworks:
                    type: array
                    description: List of payment networks for the account.
                    items:
                      type: object
                      properties:
                        bankId:
                          type: string
                          description: Bank identifier for the payment network.
                        identifier:
                          type: string
                          description: Account identifier within the payment network.
                        identifierType:
                          type: string
                          description: Type of identifier (e.g., ACCOUNT_NUMBER).
                        type:
                          type: string
                          description: Payment network type (e.g., US_ACH).
                        transferIn:
                          type: boolean
                          description: >-
                            Indicates if transfers into this account are
                            allowed.
                        transferOut:
                          type: boolean
                          description: >-
                            Indicates if transfers out of this account are
                            allowed.
        4XX:
          description: >-
            Returned when the request contains invalid data or authentication
            fails.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: Error code.
                  message:
                    type: string
                    description: A description of the error.
                  debugMessage:
                    type: string
                    description: >-
                      Provider custom developer-level error details for
                      troubleshooting.
        5XX:
          description: Returned when an internal server error occurred.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: Error code.
                  message:
                    type: string
                    description: A description of the error.
                  debugMessage:
                    type: string
                    description: >-
                      Provider custom developer-level error details for
                      troubleshooting.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token obtained from the /Token endpoint.

````